Bug 13880 - Allow svc/report to be passed sql parameters for non-public reports
Summary: Allow svc/report to be passed sql parameters for non-public reports
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-20 13:47 UTC by Kyle M Hall
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13880 - Allow svc/report to be passed sql parameters (2.07 KB, patch)
2015-03-20 13:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13880 - Allow svc/report to be passed sql parameters (2.34 KB, patch)
2015-03-30 23:06 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13880 - Allow svc/report to be passed sql parameters (2.41 KB, patch)
2015-04-20 10:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-03-20 13:47:30 UTC
The same feature added to the opac svc/report in bug 9915 should be added to the staff side.
Comment 1 Kyle M Hall 2015-03-20 13:50:36 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-03-30 23:06:07 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-04-20 10:10:23 UTC
Created attachment 38170 [details] [review]
Bug 13880 - Allow svc/report to be passed sql parameters

The same feature added to the opac svc/report in bug 9915 should be
added to the staff side.

Test Plan:
1) Apply this patch
2) Create this report:
   SELECT * FROM biblio WHERE biblionumber = <<biblionumber>>
3) Note the id of the report
4) Go to the Staff URL
/cgi-bin/koha/svc/report?id=YOUR_REPORT_ID&sql_params=SOME_VALID_BIBLIONUMBER
5) Note you recieve a json response

NOTE: without applying the patch you get an empty JSON response.

ALSO: running koha qa tools does not verify the changes.
      $ perlcritic -4 svc/report
      (my perlcritic rc points to the koha qa tool one)
      No issues.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Tomás Cohen Arazi 2015-04-22 16:28:08 UTC
Patch pushed to master.

Thanks Kyle!